> For the complete documentation index, see [llms.txt](https://docs.guideflow.com/help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.guideflow.com/help/tracking/install-guideflow-js.md).

# Install Guideflow JS

To identify and match your website visitors with Guideflow sessions, install the following Javascript on your website:\
\
(1) Load the script:

```
<script src=""></script>
```

(2) Identify user:

```
<script>
guideflow.identify({
  email: "user@example.com"
});
</script>
```

(3) Marketo Forms example (Guideflow identify on submit)\
Load Marketo Forms + Guideflow:

```
<script src="//app-XXX.marketo.com/js/forms2/js/forms2.js"></script>
<script src=""></script>
```

(4) Form:

```
<form id="mktoForm_1234"></form>
```

(5) Bind identify on submit:

```
<script>
MktoForms2.loadForm("//app-XXX.marketo.com", "XXX-XXX-XXX", 1234, function(form) {

  form.onSuccess(function(vals) {

    guideflow.identify({
      email: vals.Email,
      firstName: vals.FirstName,
      lastName: vals.LastName,
      company: vals.Company
    });

    return true;
  });

});
</script>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.guideflow.com/help/tracking/install-guideflow-js.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
